# $Revision: 1.24 $, $Date: 2002/07/12 09:04:41 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Proc
%define	pnam	Background
Summary:	Proc::Background perl module
Summary(pl):	Modu perla Proc::Background
Name:		perl-Proc-Background
Version:	1.07
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
Provides:	perl(Proc::Generic)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Proc::Background - generic interface to place programs in background
processing.

%description -l pl
Proc::Background - umoliwia uruchamianie pogramw w tle.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/timed-process
%{perl_sitelib}/Proc/Background.pm
%dir %{perl_sitelib}/Proc/Background
%{perl_sitelib}/Proc/Background/Unix.pm
%{perl_sitelib}/Proc/Background/Win32.pm
%{_mandir}/man[13]/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Proc-Background.spec,v $
Revision 1.24  2002/07/12 09:04:41  qboosh
- new %%doc and cosmetics

Revision 1.23  2002/07/11 08:03:00  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:48:31  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:33:55  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:19:42  depesz
automatic: Source location unfied, Relase Up

Revision 1.17  2002/02/10 15:32:57  depesz
adapterized

Revision 1.16  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.14  2001/09/10 13:05:17  mis
- autoupdated to 1.06

Revision 1.13  2001/08/27 11:18:29  mis
- autoupdated to 1.04

Revision 1.12  2001/04/17 12:14:34  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/05 21:38:39  kloczek
- updated to 1.03.

Revision 1.9  2001/01/23 15:33:14  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/08/22 20:51:51  kloczek
- updated to 1.01.

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:46  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
